Subject: FVWM: How do I change the title of windows once they are created?

From: "Nitin Malik" <[email-masked]>
Date: Thu, 26 Apr 2001 12:56:54 -0400

Hi all,

I use tcsh shell settings.

After I create a whole bunch of xterms via fvwm or otherwise. I am stuck 
with a whole bunch of xterms with the same name. Is there any way I can use 
FvwmIdent, FvwmConsole, etc to change the name of the xterm to something 
relevant?? In other words, I need to dynamically change the window title!!

Thanks,

nitin

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Perry Hutchison <[email-masked]>
Date: Thu, 26 Apr 2001 10:15:11 -0700 (PDT)

> relevant?? In other words, I need to dynamically change the window title!!

No way to do it via FVWM AFAIK, but there is a mechanism within
xterm to change the window and/or icon titles.  Details may depend
on which flavor of xterm you're using -- the one in Red Hat 6.2
documents an escape sequence which a Solaris xterm doesn't recognize
(but fortunately the Linux xterm actually accepts both sequences,
so I get by with using the Solaris escapes regardless of which type
of host the xterm is executing on).

IIRC I found the escape sequences documented in the tcsh manpage, not
the xterm manpage.  Go figure.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Thu, 26 Apr 2001 13:12:33 -0400

> relevant?? In other words, I need to dynamically change the window title!!

You can control the title during creation with:

xterm -title abc

You can change the title afterwards with the escape sequence:
^[]2;title\07

I see you use tcsh, so this  might not help,  but this is how its done
with ksh:

  function shdr	{		# changes screen title
    if [ "$TERM" = "xterm" ] ; then # This makes Rumba hang, only use on xterm
      print -n '\033]2;'$*'\07'
    fi
  }

-- 
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Mikhael Goikhman <[email-masked]>
Date: Thu, 26 Apr 2001 16:27:17 -0500

>       print -n '\033]2;'$*'\07'

In csh/tcsh it may be done using this alias (put it into .cshrc):

  alias set_xtitle 'printf "\033]2;\!*\007"'

A check "if ($?DISPLAY)" may be used as well if needed.

Regards,
Mikhael.